お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2018-08-10 19:48:55

okajimaituki
メンバ
登録日: 2018-08-09

ubuntu18.04.1LTSでgksuをインストールしたい。

何かの方法で"piserver"のインストールのために
ubuntu18.04LTSでgksuをインストールすると、このようなエラーが発生しました。:

パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
パッケージ gksu は使用できませんが、別のパッケージから参照されます。
これは、パッケージが欠落しているか、廃止されたか、または別のソース
からのみ利用可能であることを意味します。

E: パッケージ 'gksu' にはインストール候補がありません


どうしたらいいですか。

オフライン

 

#2 2018-08-11 10:26:26

array
メンバ
登録日: 2007-03-13

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

gksuは18.04からリポジトリから削除されました。
参照
当該記事を参照して対応して下さい。

オフライン

 

#3 2018-08-11 10:58:53

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

ですが、依存関係の問題なので、
諦めたほうがいいですか?
リポジトリを登録できますか?

オフライン

 

#4 2018-08-11 11:23:38

array
メンバ
登録日: 2007-03-13

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

環境は何を使っています?なんでUbuntu18.04?Raspianじゃないんですか?
細かく何をしたいのか書かないと的外れになってしまいますので
・何を使っているのか
・何をしたいのか
をはっきり書いたほうが良いと思います。
#Raspberry PiにUbntu18.04いれているのかな?

オフライン

 

#5 2018-08-11 18:54:53

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

ubuntu18.04です。
なにかの方法で.debファイルを入手しました。

オフライン

 

#6 2018-08-11 22:11:32

array
メンバ
登録日: 2007-03-13

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

16.04ならgksuのコマンドが残っていて、LTSですからそちらにするか、素直にRaspianを入れたらどうでしょう?18.04は多分Raspberry PiB3でも重いと思いますが。

オフライン

 

#7 2018-08-12 06:57:16

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

では、ダウングレード(データを残して)をする方法はありますか。

オフライン

 

#8 2018-08-12 09:34:29

array
メンバ
登録日: 2007-03-13

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

必要なデータは自分でバックアップして下さい。直接ダウングレードはできません。

オフライン

 

#9 2018-08-12 10:39:46

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

分かりました。

オフライン

 

#10 2018-08-12 11:12:44

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

ダウングレードするのは何のバージョンが良いですか。

オフライン

 

#11 2018-08-12 21:35:11

array
メンバ
登録日: 2007-03-13

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

LTSとして残っているのは16.04で、gksuが残っているのでこれが良いのでは。2021年4月までサポートがあります。

オフライン

 

#12 2018-08-13 06:33:13

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

ありがとうございます。
でも、ubuntu 17.10だけはやめときます。

オフライン

 

#13 2018-08-13 06:39:38

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

すみません、
間違えました。
17.10は、BIOS破壊バグ改良されていました。

オフライン

 

#14 2018-08-13 07:08:46

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

https://packages.debian.org/ja/jessie/gksuでダウンロード出来ました。
ですが、依存関係で。引っかかってしまいました。

オフライン

 

#15 2018-08-13 07:13:13

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

結局、Windowsにバックアップ残して再インストールします。

オフライン

 

#16 2018-08-13 08:43:53

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

ありがとうございます。無事インストール出来ました。
ですが、ここで一つ問題が起きました。
“do-release-upgrade”コマンドを実行しても”新しいubuntuのリリースはありません。”と表示されます。
アップグレードするにはどうすれば良いですか。

オフライン

 

#17 2018-08-13 09:33:48

sanago
メンバ
登録日: 2018-03-27

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

-d オプションをつけると強制的にアップグレードできるそうです

sudo do-release-upgrade -d

私もアップグレードのリリースを待っています。

オフライン

 

#18 2018-08-13 19:46:05

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

解決‼︎、と思いきや、deja-dupで復帰したら、カーネルが復号化されたので、慌てて
シャットダウンしたら、起動しません。
どうすれば良いですか。
質問が多くてすみません。

オフライン

 

#19 2018-08-21 06:32:33

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

Ubuntuの再インストール時、コピーするファイルは何ですか。

オフライン

 

#20 2018-12-17 16:53:36

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

本を読んでいて、
old-releases.ubuntu.com
の存在にきずきました。
それは使えますか?

オフライン

 

#21 2018-12-17 16:58:13

okajimaituki
メンバ
登録日: 2018-08-09

Re: ubuntu18.04.1LTSでgksuをインストールしたい。

あと、なぜアップグレード出来ないか分かりました。
EOLを迎えているからと、きずきました。

オフライン

 

Board footer

Powered by FluxBB